#ifndef _MESSAGELOOP
#define _MESSAGELOOP

#include <windows.h>
#include <commctrl.h>
#include "simplehashr.h"

/* Map a message to an handler */
struct MSG_HANDLER 
{
	UINT msg;
	WNDPROC	proc;
};

/* Maps the messages to the events */
struct MSG_HANDLER MainWinTable[100];

/* Forwared declarations */
int CreateMainWindow(HINSTANCE hInstance, struct SimpleHasher* simpleHasher, struct MSG_HANDLER* msgTable);
LRESULT WINAPI TableWinProc(HWND hWnd, UINT Msg, WPARAM wParam, LPARAM lParam);
void MessageLoop(HINSTANCE hInstance);


#endif
