#ifndef _EVIDENCEFILE
#define _EVIDENCEFILE

#include "simplehashr.h"

/* Represent the hashes */
extern unsigned char MD5;
extern unsigned char SHA1;
extern unsigned char SHA256;

/* A binary hash with its type */
struct HASH 
{
	unsigned char hashType;
	unsigned char hash[32];
};

/* VLS holding the type of hashes found, the number of hash and a VLA of hashes */
struct HASHLIST 
{
	unsigned char hashTypes;
	unsigned int nHash;
	struct HASH hashes[1];
};

int ReadEvidences(struct SimpleHasher* app, struct HASHLIST** pList);

#endif
